> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.salamoonder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reese84

> Each request in this task is priced at only €0.0015.

## Create Task​

Create the task with the [createTask](https://apidocs.salamoonder.com/endpoint/createTask) endpoint, or use our [Software Development Kit ](https://apidocs.salamoonder.com/sdk/official)to make your integration process even easier!

### Task Structure

| **Property**     | **Type** | **Required** |
| ---------------- | :------: | :----------: |
| `type`           |  String  |      Yes     |
| `website`        |  String  |      Yes     |
| `submit_payload` |  Boolean |      Yes     |
| `user_agent`     |  String  |      No      |

You can send your own user agent for this task. If you skip it, the system picks a random one. If you do send one, make sure it's a Chrome on Windows user agent, since those have worked best.

<Accordion title="These user agents have given our users the best results.">
  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/137.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/139.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/141.0.0.0 Safari/537.36
</Accordion>

### Example Request

```json theme={null}
POST https://salamoonder.com/api/createTask
Host: salamoonder.com
Content-Type: application/json

{
    "api_key": "YOUR_API_KEY",
    "task": {
        "type": "IncapsulaReese84Solver",
        "website": "https://www.pokemoncenter.com/",
        "submit_payload": true,
    	"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebK..."
    }
}
```

Upon successfully submitting the task to us, you should receive a ‘taskId’ in the response.

### Example Response

```json theme={null}
{
  "error_code": 0,
  "error_description": "",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
```

**Response Fields:**

* `taskId` - Unique identifier for this task. Use this to retrieve results.

## **Getting Results**

Retrieve the results using the [getTaskResult ](https://apidocs.salamoonder.com/api/gettaskresult-task-result)method. or use our [Software Development Kit ](https://apidocs.salamoonder.com/sdk/official)to make your integration process even easier!

### **Example Request**

```json theme={null}
POST https://salamoonder.com/api/getTaskResult
Host: salamoonder.com
Content-Type: application/json

{
  "api_key": "YOUR_API_KEY",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
```

### Example Response (submit\_payload: true)

When `submit_payload` is set to `true`, you receive a ready-to-set cookie:

```json theme={null}
{
  "errorId": 0,
  "solution": {
    "token": "3:rVOfjx0PiH6yaKHP6NJA4A==:djhiQiEO06lKq6aB9elbcrOSKvx/C6OCC...",
    "renewInSec": 865,
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/5..."
  },
  "status": "ready"
}
```

**Response Fields:**

* `token` - Ready-to-use Reese84 token for submission
* `renewInSec` - Token validity period in seconds
* `user-agent` - user-agent that was used to make this token

### Example Response (submit\_payload: false)

When `submit_payload` is set to `false`, you receive the raw payload for manual posting:

```json theme={null}
{
  "errorId": 0,
  "solution": {
    "payload": "{\"solution\":{\"interrogation\":{\"p\":\"V33Hw0cqFIs8LgTT...",
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/5...",
    "accept-language": "en-US,en;q=0.9"
  },
  "status": "ready"
}
```

**Response Fields:**

* `payload` - Raw payload for manual processing
* `user-agent` - user-agent that was used to make this payload.
* `accept-language` - Language header to use

## What if your response doesn't match ours?

if you get `Failed to find reese84 script URL, please reach out to support.` in the solution field please change your request body to

```json theme={null}
{
    "api_key": "YOUR_API_KEY",
    "task": {
      "type": "IncapsulaReese84Solver",
      "website": "https://www.pokemoncenter.com/",
      "reese_url": "https://www.pokemoncenter.com/vice-come-Solden....",
      "submit_payload": false
    }
}
```

This is required when the target website can’t be reached. If the site isn’t accessible, the payload can’t be sent either. Contact our support team if you still want to use the submit payload function, and we’ll set up a custom configuration for you.

## Quick Start Example

We have examples for all our tasks to streamline integration. Feel free to check them out!

<Card title="Reese84 Examples" icon="cheese-swiss" href="https://apidocs.salamoonder.com/examples#incapsula-examples">
  All our Reese84 examples can be found here!
</Card>
